#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-3zebtO3wSWm55C5Qtjbdwe
key:                  hOpenPGP-2.9.8-3zebtO3wSWm55C5Qtjbdwe
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  8b55b76a92a00c29f6aa01d929bf30c9
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-3zebtO3wSWm55C5Qtjbdwe
depends:
    aeson-2.1.1.0-KfG6oaum90dLA5eXp6YCDc
    asn1-encoding-0.9.6-FH3f54T7WqeGybfUuCBGDw
    attoparsec-0.14.4-8o1dQ6yU1rxD4vG6e4yfU4 base-4.15.1.0
    base16-bytestring-1.0.2.0-Gqlh8Vz53dG4LEJv9JGYC9
    bifunctors-5.5.14-5D2c0RaVBoV23mwNMojAPs binary-0.8.8.0
    binary-conduit-1.3.1-6dxnQKY5le7DtZb1BF8ozx bytestring-0.10.12.1
    bz2-1.0.1.0-BloGXfK5XTMmk2T9wLK3I
    conduit-1.3.4.3-1wCSINih7p9LCXzlzsYkuk
    conduit-extra-1.3.6-K4ClR74vcQL2Cwmoruksa containers-0.6.4.1
    crypto-cipher-types-0.0.9-8dNq76lIVvq61pUzJfYm3b
    cryptonite-0.30-JJF5UVncQkk2W71ZgJSlNU
    errors-2.3.0-F4rUJSCR8jkHhnELGOml9T
    hashable-1.4.2.0-5ySl8XM8t8QGZN86Jfv3oR
    incremental-parser-0.5.0.4-HSMZbN4c5AwH6MDD8O3GEi
    ixset-typed-0.5.1.0-31BFA1Uk8XGLSJ9qlfP9Ue
    lens-5.2-2GACnsjH8Hxy7NpnIJ2R1 memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-8qVdvaF51A3AJM581PImaL
    network-uri-2.6.4.2-KWjid2Wux6gAGED2q7OhW3
    openpgp-asciiarmor-0.1.2-2GgZ9fE8cLLHNNKlU9ekag
    prettyprinter-1.7.1-L5rSeiOA0qcJsaL8gCHNfe
    resourcet-1.2.6-2leBmr4QH6iG7LlJn8wPpV
    split-0.2.3.5-HIKMdTQlRh8L3ExAbNDwpu text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-DnnZsztXxSKIeB0HgJzbzw
    zlib-0.6.3.0-6WxB55FZQXvKdP5xDYF4Ko

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

